package com.polytechnik.lapack;

/**
 * f2j object wrapper for integers.
 * <p>
 * This file is part of the Fortran-to-Java (f2j) system,
 * developed at the University of Tennessee.
 * <p>
 * This class acts as an object wrapper for passing integer
 * values by reference in f2j translated files.
 * <p>
 * @author Keith Seymour (seymour@cs.utk.edu)
 *
 *
 *  Manually adjusted by
 *  @author Vladislav Malyshkin mal@gromco.com
 *  @version $Id: intW.java,v 1.3 2012/05/04 16:47:45 mal Exp $
 *
 */

public class intW {
  public int val;

  /**
   * Create a new int wrapper.
   *
   * @param x the initial value
   */
  public intW(int x) {
     val = x;
  }
}
