package com.polytechnik.realtimebook;
/*
 * (C) Vladislav Malyshkin 2008
 * This file is under GPL version 3.
 *
 */

/** An interface to analyze data by external programs.
 *  @version $Id: DumpTradingDataAnalyzable.java,v 1.1 2011/10/09 06:30:21 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public interface DumpTradingDataAnalyzable<T> {

    static final int
	DUMP_TICKS=1,
	DUMP_END_POSTIONS=1<<1,
	DUMP_POSTIONS_TIME_END=1<<2;


    void setTicker();


    void dumpTickData(final T cd);


    void closeTicker();
}
