package com.polytechnik.realtimebook;
/*
 * (C) Vladislav Malyshkin 2010
 * This file is under GPL version 3.
 *
 */

/** An interface to trading events.
 *  @version $Id: TradingEventsCheck.java,v 1.3 2010/12/26 18:38:12 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public interface TradingEventsCheck {

    boolean checkEnterBuy(final double p);
    boolean checkExitBuy(final double p);
    boolean checkEnterSell(final double p);
    boolean checkExitSell(final double p);
    /** Dumps textual representation (for debugging).
     */
    String dumpData();

}
