package com.polytechnik.itch;
/*
 * (C) Vladislav Malyshkin 2008
 * This file is under GPL version 3.
 *
 */


/** An interface to process message.
 *  @version $Id: ITCHMessageProcessor.java,v 1.7 2009/03/11 08:28:29 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
interface ITCHMessageProcessor {
    void processMessage(final byte [] m,final int b_start);
    int getMessageType();
    ITCHMessage getMessage(final byte [] m,final int b_start);
    int getLength();
}
