package com.polytechnik.itch;
/*
 * (C) Vladislav Malyshkin 2008
 * This file is under GPL version 3.
 *
 */


/** Item 4.5.1 from the manual.
 *  @version $Id: ORDEREXECUTEDMessageProcessor.java,v 1.11 2008/10/26 19:33:51 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
class ORDEREXECUTEDMessageProcessor extends MessageProcessor {



    ORDEREXECUTEDMessageProcessor(final ITCHParser parser)
    {
	super('E',new int []{1,5,13,17,25},parser);
    }


    public ORDEREXECUTEDWITHPRICEMessageProcessor.ORDEREXECUTEDWITHPRICEMessage getMessage(final byte [] buf,final int b_start)
    {
	return new ORDEREXECUTEDWITHPRICEMessageProcessor.ORDEREXECUTEDWITHPRICEMessage(
	    this.parser.getTime(),
	    getLong(buf,b_start,2),
	    getInteger(buf,b_start,3),
	    getLong(buf,b_start,4),
	    G_YES,
	    0.0);
    }

    public void processMessage(final byte [] buf,final int b_start)
    {
	this.parser.executeOrder(getMessage(buf,b_start));
    }
}
