package com.polytechnik.lapack;


/** Some utils for Lapack.
 *  @version $Id: LapackUtils.java,v 1.3 2013/01/04 14:19:46 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */

public class LapackUtils {

public static void sortArrayWithLoad(final int n,final double [] tosort,final int off_tosort,
				     final int nDload,final double [] Dload,final int ldDload,final int off_Dload,
				     final int nIload,final int [] Iload,final int ldIload,final int off_Iload)
{
    // insertion sort by tosort with extra load
    for(int i=0;i<n;i++)
    {
	for(int j=i;j>0 && tosort[(j-1)+off_tosort]>tosort[(j)+off_tosort] ; j--)
	{
	    final double val=tosort[(j-1)+off_tosort];
	    tosort[(j-1)+off_tosort]=tosort[(j)+off_tosort];
	    tosort[(j)+off_tosort]=val;
	    if(Dload!=null)
	    { // load
		com.polytechnik.lapack.Dswap.dswap(nDload,Dload,(j)*ldDload+off_Dload,1,Dload,((j-1))*ldDload+off_Dload,1);
	    }
	    if(Iload!=null)
	    { // load
		com.polytechnik.lapack.Iswap.iswap(nIload,Iload,(j)*ldIload+off_Iload,1,Iload,((j-1))*ldIload+off_Iload,1);
	    }
	}
    }
}

}
