package com.polytechnik.utils;
/*
 * (C) Vladislav Malyshkin 2015
 * This file is under GPL version 3.
 *
 */

public interface DerivativesAtCalculateable {


/** Does calculations. */
public void calculateAt(final double x);

/** returns F(x).
 */
public double getF();

/** returns dF/dx. */
public double getDF();


}
