package com.polytechnik.utils;


/** Compare pointers to double array.
 *
 *  @version $Id: IntPTRCompareDouble.java,v 1.2 2008/08/15 07:41:00 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public class IntPTRCompareDouble implements IntPTRCompare {

    private final double [] vals;
    private final boolean flag_reverse;
    public IntPTRCompareDouble(double [] vals,boolean flag_reverse)
    {
	this.vals=vals;
	this.flag_reverse=flag_reverse;
    }
    public int compare(int p1,int p2)
    {
	final double v1=this.vals[p1],v2=this.vals[p2];
	final int v=v1<v2?-1:(v1>v2?1:0);
	return flag_reverse?-v:v;
    }
}
