package com.polytechnik.utils;

/*
 * (C) Vladislav Malyshkin 2008
 * This file is under GPL version 3.
 *
 */

/** An interface to iterate over all values.
 *  @version $Id: TObjectProcedure2.java,v 1.1 2009/03/21 15:24:43 mal Exp $
 *  @author Vladislav Malyshkin mal@gromco.com
 */
public interface TObjectProcedure2<V1,V2> {
    /** Executes this procedure.
     * A false return value indicates that the
     * application executing this procedure should
     * not invoke this procedure again.
     */
    boolean execute(final V1 b1,final V2 b2);
}
